Luxor PlatformAPI DocumentationMining PoolReporting
Get workers hashrate history
Returns hashrate, efficiency and estimated revenue time series data for a set of workers and a currency type, given a specified time period. Revenue is provided only for BTC currency, it is an estimate and should not be considered a source of truth for financial settlement.
Authorization
LuxorAPIKey authorization<token>
Use your API key here.
In: header
Path Parameters
currency_type*string
Which currency to query, e.g. BTC or DOGE.
Value in
- "BTC"
- "LTC_DOGE"
- "SC"
- "ZEC"
subaccount_name*string
A subaccount name for which to retrieve summary information.
Length
1 <= lengthQuery Parameters
worker_names?|array<string>
The names of the workers to filter by.
tick_size*string
The tick size defines granularity; only 1d and 1h are supported for workers hashrate efficiency.
Value in
- "1d"
- "1h"
start_date*string
Format
dateend_date*string
Format
datepage_number?integer
Range
1 <= valueDefault
1page_size?integer
Range
1 <= valueDefault
10Response Body
application/json
application/json
curl -X GET "https://example.com/v2/pool/workers-hashrate-efficiency/BTC/my_subaccount?tick_size=1d&start_date=2025-01-01&end_date=2025-01-31"{ "currency_type": "BTC", "start_date": "2025-01-01", "end_date": "2025-01-31", "tick_size": "1d", "hashrate_efficiency_revenue": { "property1": [ { "date_time": "2019-08-24T14:15:22Z", "hashrate": "1035827914295214", "efficiency": 0.9960606098175049, "est_revenue": 0.00066154 } ], "property2": [ { "date_time": "2019-08-24T14:15:22Z", "hashrate": "1035827914295214", "efficiency": 0.9960606098175049, "est_revenue": 0.00066154 } ] }, "pagination": { "page_number": 1, "page_size": 1, "item_count": 0, "previous_page_url": null, "next_page_url": null }}{ "statusCode": 400, "code": "FST_ERR_VALIDATION", "error": "Bad Request", "message": "body/end_date Required"}